Bug 38220 - Kernel 2.4.2-2 BUG dump on startup/initialization
Summary: Kernel 2.4.2-2 BUG dump on startup/initialization
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-28 20:27 UTC by Jim Bradbury
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 14:11:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Bradbury 2001-04-28 20:27:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)


bootup stops every time on Gigabyte GA-5AA motherboard, K6-2 450 processor
with the following dump 
----------------------------------------------------------------------
                Welcome to Red Hat Linux
          Press 'I' to enter interactive startup.
Scheduling in interrupt
kernel BUG at sched.c: 707!
invalid operand: 0000
CPU: 0
EIP:: 0010:[<c0113f73>]
EFLAGS: 0010286

eax: 0000001b  ebx: c076c000  ecx: 00000001  edx: c0256ca4
esi: 00080000  edi: cbbdb300  ebp: c026dfdc  esp: c026dfb0

ds:  0018  es: 0018  ss:0018

Process swapper (pid:0, stackpage=c026d000)

Stack: c020be5b c020bfd6 000002c3 c026c000 co26c000 00000000 c026c000
00000018
       c026c000 c0107220 c026c000 0006e000 c01072be 0000bff0 00079800
00105000
       c026e8db c02ab040 00000000 c0100191
       
Call Trace: [<c020be5b>] [<c020bfd6>] [<c0107220>] [<c01072be>]
[<c0105000>] 
[<c0100191>]

code: 0f 0b 83 c4 0c 8d 65 f4 5b 5e 5f 5d c3 55 89 e5 57 56 53 83

Kernel panic: Aiee, Killing interrupt handler!
In interrupt handler - not syncing



Reproducible: Always
Steps to Reproduce:
1.boot system
2.
3.
	

Actual Results:  

                Welcome to Red Hat Linux
          Press 'I' to enter interactive startup.
Scheduling in interrupt
kernel BUG at sched.c: 707!
invalid operand: 0000
CPU: 0
EIP:: 0010:[<c0113f73>]
EFLAGS: 0010286

eax: 0000001b  ebx: c076c000  ecx: 00000001  edx: c0256ca4
esi: 00080000  edi: cbbdb300  ebp: c026dfdc  esp: c026dfb0

ds:  0018  es: 0018  ss:0018

Process swapper (pid:0, stackpage=c026d000)

Stack: c020be5b c020bfd6 000002c3 c026c000 co26c000 00000000 c026c000
00000018
       c026c000 c0107220 c026c000 0006e000 c01072be 0000bff0 00079800
00105000
       c026e8db c02ab040 00000000 c0100191
       
Call Trace: [<c020be5b>] [<c020bfd6>] [<c0107220>] [<c01072be>]
[<c0105000>] 
[<c0100191>]

code: 0f 0b 83 c4 0c 8d 65 f4 5b 5e 5f 5d c3 55 89 e5 57 56 53 83

Kernel panic: Aiee, Killing interrupt handler!
In interrupt handler - not syncing


Expected Results:  System boots normally

None.

Comment 1 Arjan van de Ven 2001-04-28 21:18:06 UTC
Could you try adding "no-hlt" to the lilo-prompt to see if that fixes it ?


Note You need to log in before you can comment on or make changes to this bug.